/******************************************************************************/
/* DISCLAIMER                                                                 */
/* This software is supplied by Renesas Electronics Corporation and is only   */
/* intended for use with Renesas products. No other uses are authorized.This  */
/* software is owned by Renesas Electronics Corporation and is protected      */
/* under all applicable laws, including copyright laws.                       */
/* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES          */
/* REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING  */
/* BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR */
/* PURPOSE AND NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY           */
/* DISCLAIMED.                                                                */
/* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS     */
/* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE       */
/* LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL      */
/* DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS    */
/* AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.           */
/* Renesas reserves the right, without notice, to make changes to this        */
/* software and to discontinue the availability of this software.             */
/* By using this software, you agree to the additional terms and conditions   */
/* found by accessing the following link:                                     */
/* http://www.renesas.com/disclaimer                                          */
/*                                                                            */
/* Device     : RL78/R5F11Bxxx                                                */
/* File Name  : ICS_iodefine.h                                                */
/* Abstract   : Definition of Special Function Register (SFR)                 */
/* History    : V1.00  [Device File version]                                  */
/* Options    : -df=C:\Program Files (x86)\Renesas Electronics\CS+\CC\Device\ */
/*              RL78\Devicefile\DR5F11BLE.DVF -o=D:\Project\P00301_ICS\P00301 */
/*              -E1-061_ICS_CSP_CA_G1F\????????\ICS_sample\iodefine.h -f      */
/* Date       : 2016/11/13                                                    */
/* Version    : V1.06.00.02  [df2iodef.exe version]                           */
/* This is a typical example.                                                 */
/*                                                                            */
/******************************************************************************/
#ifndef __ICS_R5F11B_iodefine_H
#define __ICS_R5F11B_iodefine_H

typedef struct
{
    unsigned char no0:1;
    unsigned char no1:1;
    unsigned char no2:1;
    unsigned char no3:1;
    unsigned char no4:1;
    unsigned char no5:1;
    unsigned char no6:1;
    unsigned char no7:1;
} __bitf_T;

typedef struct
{
    unsigned char no0:1;
    unsigned char no1:1;
    unsigned char no2:1;
    unsigned char no3:1;
    unsigned char no4:1;
    unsigned char no5:1;
    unsigned char no6:1;
    unsigned char no7:1;
    unsigned char no8:1;
    unsigned char no9:1;
    unsigned char no10:1;
    unsigned char no11:1;
    unsigned char no12:1;
    unsigned char no13:1;
    unsigned char no14:1;
    unsigned char no15:1;
} __bitf_T2;



#define ICS_ADM2         (*(volatile __near unsigned char  *)0x10)
#define ICS_ADM2_bit     (*(volatile __near __bitf_T *)0x10)
#define ICS_ADTYP        (((volatile __near __bitf_T *)0x10)->no0)
#define ICS_AWC          (((volatile __near __bitf_T *)0x10)->no2)
#define ICS_ADRCK        (((volatile __near __bitf_T *)0x10)->no3)
#define ICS_ADUL         (*(volatile __near unsigned char  *)0x11)
#define ICS_ADLL         (*(volatile __near unsigned char  *)0x12)
#define ICS_ADTES        (*(volatile __near unsigned char  *)0x13)
#define ICS_PU0          (*(volatile __near unsigned char  *)0x30)
#define ICS_PU0_bit      (*(volatile __near __bitf_T *)0x30)
#define ICS_PU1          (*(volatile __near unsigned char  *)0x31)
#define ICS_PU1_bit      (*(volatile __near __bitf_T *)0x31)
#define ICS_PU3          (*(volatile __near unsigned char  *)0x33)
#define ICS_PU3_bit      (*(volatile __near __bitf_T *)0x33)
#define ICS_PU4          (*(volatile __near unsigned char  *)0x34)
#define ICS_PU4_bit      (*(volatile __near __bitf_T *)0x34)
#define ICS_PU5          (*(volatile __near unsigned char  *)0x35)
#define ICS_PU5_bit      (*(volatile __near __bitf_T *)0x35)
#define ICS_PU7          (*(volatile __near unsigned char  *)0x37)
#define ICS_PU7_bit      (*(volatile __near __bitf_T *)0x37)
#define ICS_PU12         (*(volatile __near unsigned char  *)0x3C)
#define ICS_PU12_bit     (*(volatile __near __bitf_T *)0x3C)
#define ICS_PU14         (*(volatile __near unsigned char  *)0x3E)
#define ICS_PU14_bit     (*(volatile __near __bitf_T *)0x3E)
#define ICS_PIM0         (*(volatile __near unsigned char  *)0x40)
#define ICS_PIM0_bit     (*(volatile __near __bitf_T *)0x40)
#define ICS_PIM1         (*(volatile __near unsigned char  *)0x41)
#define ICS_PIM1_bit     (*(volatile __near __bitf_T *)0x41)
#define ICS_PIM3         (*(volatile __near unsigned char  *)0x43)
#define ICS_PIM3_bit     (*(volatile __near __bitf_T *)0x43)
#define ICS_PIM5         (*(volatile __near unsigned char  *)0x45)
#define ICS_PIM5_bit     (*(volatile __near __bitf_T *)0x45)
#define ICS_POM0         (*(volatile __near unsigned char  *)0x50)
#define ICS_POM0_bit     (*(volatile __near __bitf_T *)0x50)
#define ICS_POM1         (*(volatile __near unsigned char  *)0x51)
#define ICS_POM1_bit     (*(volatile __near __bitf_T *)0x51)
#define ICS_POM3         (*(volatile __near unsigned char  *)0x53)
#define ICS_POM3_bit     (*(volatile __near __bitf_T *)0x53)
#define ICS_POM5         (*(volatile __near unsigned char  *)0x55)
#define ICS_POM5_bit     (*(volatile __near __bitf_T *)0x55)
#define ICS_POM7         (*(volatile __near unsigned char  *)0x57)
#define ICS_POM7_bit     (*(volatile __near __bitf_T *)0x57)
#define ICS_PMC0         (*(volatile __near unsigned char  *)0x60)
#define ICS_PMC0_bit     (*(volatile __near __bitf_T *)0x60)
#define ICS_PMC1         (*(volatile __near unsigned char  *)0x61)
#define ICS_PMC1_bit     (*(volatile __near __bitf_T *)0x61)
#define ICS_PMC2         (*(volatile __near unsigned char  *)0x62)
#define ICS_PMC2_bit     (*(volatile __near __bitf_T *)0x62)
#define ICS_PMC12        (*(volatile __near unsigned char  *)0x6C)
#define ICS_PMC12_bit    (*(volatile __near __bitf_T *)0x6C)
#define ICS_PMC14        (*(volatile __near unsigned char  *)0x6E)
#define ICS_PMC14_bit    (*(volatile __near __bitf_T *)0x6E)
#define ICS_NFEN0        (*(volatile __near unsigned char  *)0x70)
#define ICS_NFEN0_bit    (*(volatile __near __bitf_T *)0x70)
#define ICS_NFEN1        (*(volatile __near unsigned char  *)0x71)
#define ICS_NFEN1_bit    (*(volatile __near __bitf_T *)0x71)
#define ICS_ISC          (*(volatile __near unsigned char  *)0x73)
#define ICS_ISC_bit      (*(volatile __near __bitf_T *)0x73)
#define ICS_SSIE00       (((volatile __near __bitf_T *)0x73)->no7)
#define ICS_TIOS0        (*(volatile __near unsigned char  *)0x74)
#define ICS_PIOR2        (*(volatile __near unsigned char  *)0x75)
#define ICS_PIOR0        (*(volatile __near unsigned char  *)0x77)
#define ICS_IAWCTL       (*(volatile __near unsigned char  *)0x78)
#define ICS_PIOR1        (*(volatile __near unsigned char  *)0x79)
#define ICS_PER1         (*(volatile __near unsigned char  *)0x7A)
#define ICS_PER1_bit     (*(volatile __near __bitf_T *)0x7A)
#define ICS_TRJ0EN       (((volatile __near __bitf_T *)0x7A)->no0)
#define ICS_TRXEN        (((volatile __near __bitf_T *)0x7A)->no1)
#define ICS_PWMOPEN      (((volatile __near __bitf_T *)0x7A)->no2)
#define ICS_DTCEN        (((volatile __near __bitf_T *)0x7A)->no3)
#define ICS_TRD0EN       (((volatile __near __bitf_T *)0x7A)->no4)
#define ICS_PGACMPEN     (((volatile __near __bitf_T *)0x7A)->no5)
#define ICS_TRGEN        (((volatile __near __bitf_T *)0x7A)->no6)
#define ICS_DACEN        (((volatile __near __bitf_T *)0x7A)->no7)
#define ICS_PMS          (*(volatile __near unsigned char  *)0x7B)
#define ICS_PMS_bit      (*(volatile __near __bitf_T *)0x7B)
#define ICS_PIOR3        (*(volatile __near unsigned char  *)0x7C)
#define ICS_GDIDIS       (*(volatile __near unsigned char  *)0x7D)
#define ICS_GDIDIS_bit   (*(volatile __near __bitf_T *)0x7D)
#define ICS_DFLCTL       (*(volatile __near unsigned char  *)0x90)
#define ICS_DFLCTL_bit   (*(volatile __near __bitf_T *)0x90)
#define ICS_DFLEN        (((volatile __near __bitf_T *)0x90)->no0)
#define ICS_HIOTRM       (*(volatile __near unsigned char  *)0xA0)
#define ICS_HOCODIV      (*(volatile __near unsigned char  *)0xA8)
#define ICS_PER0         (*(volatile __near unsigned char  *)0xF0)
#define ICS_PER0_bit     (*(volatile __near __bitf_T *)0xF0)
#define ICS_TAU0EN       (((volatile __near __bitf_T *)0xF0)->no0)
#define ICS_SAU0EN       (((volatile __near __bitf_T *)0xF0)->no2)
#define ICS_SAU1EN       (((volatile __near __bitf_T *)0xF0)->no3)
#define ICS_IICA0EN      (((volatile __near __bitf_T *)0xF0)->no4)
#define ICS_ADCEN        (((volatile __near __bitf_T *)0xF0)->no5)
#define ICS_IRDAEN       (((volatile __near __bitf_T *)0xF0)->no6)
#define ICS_RTCEN        (((volatile __near __bitf_T *)0xF0)->no7)
#define ICS_OSMC         (*(volatile __near unsigned char  *)0xF3)
#define ICS_RMC          (*(volatile __near unsigned char  *)0xF4)
#define ICS_RMC_bit      (*(volatile __near __bitf_T *)0xF4)
#define ICS_WDVOL        (((volatile __near __bitf_T *)0xF4)->no7)
#define ICS_RPECTL       (*(volatile __near unsigned char  *)0xF5)
#define ICS_RPECTL_bit   (*(volatile __near __bitf_T *)0xF5)
#define ICS_RPEF         (((volatile __near __bitf_T *)0xF5)->no0)
#define ICS_RPERDIS      (((volatile __near __bitf_T *)0xF5)->no7)
#define ICS_BCDADJ       (*(volatile __near unsigned char  *)0xFE)
#define ICS_SSR00        (*(volatile __near unsigned short *)0x100)
#define ICS_SSR00L       (*(volatile __near unsigned char  *)0x100)
#define ICS_SSR01        (*(volatile __near unsigned short *)0x102)
#define ICS_SSR01L       (*(volatile __near unsigned char  *)0x102)
#define ICS_SSR02        (*(volatile __near unsigned short *)0x104)
#define ICS_SSR02L       (*(volatile __near unsigned char  *)0x104)
#define ICS_SSR03        (*(volatile __near unsigned short *)0x106)
#define ICS_SSR03L       (*(volatile __near unsigned char  *)0x106)
#define ICS_SIR00        (*(volatile __near unsigned short *)0x108)
#define ICS_SIR00L       (*(volatile __near unsigned char  *)0x108)
#define ICS_SIR01        (*(volatile __near unsigned short *)0x10A)
#define ICS_SIR01L       (*(volatile __near unsigned char  *)0x10A)
#define ICS_SIR02        (*(volatile __near unsigned short *)0x10C)
#define ICS_SIR02L       (*(volatile __near unsigned char  *)0x10C)
#define ICS_SIR03        (*(volatile __near unsigned short *)0x10E)
#define ICS_SIR03L       (*(volatile __near unsigned char  *)0x10E)
#define ICS_SMR00        (*(volatile __near unsigned short *)0x110)
#define ICS_SMR01        (*(volatile __near unsigned short *)0x112)
#define ICS_SMR02        (*(volatile __near unsigned short *)0x114)
#define ICS_SMR03        (*(volatile __near unsigned short *)0x116)
#define ICS_SCR00        (*(volatile __near unsigned short *)0x118)
#define ICS_SCR01        (*(volatile __near unsigned short *)0x11A)
#define ICS_SCR02        (*(volatile __near unsigned short *)0x11C)
#define ICS_SCR03        (*(volatile __near unsigned short *)0x11E)
#define ICS_SE0          (*(volatile __near unsigned short *)0x120)
#define ICS_SE0L         (*(volatile __near unsigned char  *)0x120)
#define ICS_SE0L_bit     (*(volatile __near __bitf_T *)0x120)
#define ICS_SS0          (*(volatile __near unsigned short *)0x122)
#define ICS_SS0L         (*(volatile __near unsigned char  *)0x122)
#define ICS_SS0L_bit     (*(volatile __near __bitf_T *)0x122)
#define ICS_ST0          (*(volatile __near unsigned short *)0x124)
#define ICS_ST0L         (*(volatile __near unsigned char  *)0x124)
#define ICS_ST0L_bit     (*(volatile __near __bitf_T *)0x124)
#define ICS_SPS0         (*(volatile __near unsigned short *)0x126)
#define ICS_SPS0L        (*(volatile __near unsigned char  *)0x126)
#define ICS_SO0          (*(volatile __near unsigned short *)0x128)
#define ICS_SOE0         (*(volatile __near unsigned short *)0x12A)
#define ICS_SOE0L        (*(volatile __near unsigned char  *)0x12A)
#define ICS_SOE0L_bit    (*(volatile __near __bitf_T *)0x12A)
#define ICS_SOL0         (*(volatile __near unsigned short *)0x134)
#define ICS_SOL0L        (*(volatile __near unsigned char  *)0x134)
#define ICS_SSC0         (*(volatile __near unsigned short *)0x138)
#define ICS_SSC0L        (*(volatile __near unsigned char  *)0x138)
#define ICS_SSR10        (*(volatile __near unsigned short *)0x140)
#define ICS_SSR10L       (*(volatile __near unsigned char  *)0x140)
#define ICS_SSR11        (*(volatile __near unsigned short *)0x142)
#define ICS_SSR11L       (*(volatile __near unsigned char  *)0x142)
#define ICS_SIR10        (*(volatile __near unsigned short *)0x148)
#define ICS_SIR10L       (*(volatile __near unsigned char  *)0x148)
#define ICS_SIR11        (*(volatile __near unsigned short *)0x14A)
#define ICS_SIR11L       (*(volatile __near unsigned char  *)0x14A)
#define ICS_SMR10        (*(volatile __near unsigned short *)0x150)
#define ICS_SMR11        (*(volatile __near unsigned short *)0x152)
#define ICS_SCR10        (*(volatile __near unsigned short *)0x158)
#define ICS_SCR11        (*(volatile __near unsigned short *)0x15A)
#define ICS_SE1          (*(volatile __near unsigned short *)0x160)
#define ICS_SE1L         (*(volatile __near unsigned char  *)0x160)
#define ICS_SE1L_bit     (*(volatile __near __bitf_T *)0x160)
#define ICS_SS1          (*(volatile __near unsigned short *)0x162)
#define ICS_SS1L         (*(volatile __near unsigned char  *)0x162)
#define ICS_SS1L_bit     (*(volatile __near __bitf_T *)0x162)
#define ICS_ST1          (*(volatile __near unsigned short *)0x164)
#define ICS_ST1L         (*(volatile __near unsigned char  *)0x164)
#define ICS_ST1L_bit     (*(volatile __near __bitf_T *)0x164)
#define ICS_SPS1         (*(volatile __near unsigned short *)0x166)
#define ICS_SPS1L        (*(volatile __near unsigned char  *)0x166)
#define ICS_SO1          (*(volatile __near unsigned short *)0x168)
#define ICS_SOE1         (*(volatile __near unsigned short *)0x16A)
#define ICS_SOE1L        (*(volatile __near unsigned char  *)0x16A)
#define ICS_SOE1L_bit    (*(volatile __near __bitf_T *)0x16A)
#define ICS_SOL1         (*(volatile __near unsigned short *)0x174)
#define ICS_SOL1L        (*(volatile __near unsigned char  *)0x174)
#define ICS_TCR00        (*(volatile __near unsigned short *)0x180)
#define ICS_TCR01        (*(volatile __near unsigned short *)0x182)
#define ICS_TCR02        (*(volatile __near unsigned short *)0x184)
#define ICS_TCR03        (*(volatile __near unsigned short *)0x186)
#define ICS_TMR00        (*(volatile __near unsigned short *)0x190)
#define ICS_TMR01        (*(volatile __near unsigned short *)0x192)
#define ICS_TMR02        (*(volatile __near unsigned short *)0x194)
#define ICS_TMR03        (*(volatile __near unsigned short *)0x196)
#define ICS_TSR00        (*(volatile __near unsigned short *)0x1A0)
#define ICS_TSR00L       (*(volatile __near unsigned char  *)0x1A0)
#define ICS_TSR01        (*(volatile __near unsigned short *)0x1A2)
#define ICS_TSR01L       (*(volatile __near unsigned char  *)0x1A2)
#define ICS_TSR02        (*(volatile __near unsigned short *)0x1A4)
#define ICS_TSR02L       (*(volatile __near unsigned char  *)0x1A4)
#define ICS_TSR03        (*(volatile __near unsigned short *)0x1A6)
#define ICS_TSR03L       (*(volatile __near unsigned char  *)0x1A6)
#define ICS_TE0          (*(volatile __near unsigned short *)0x1B0)
#define ICS_TE0L         (*(volatile __near unsigned char  *)0x1B0)
#define ICS_TE0L_bit     (*(volatile __near __bitf_T *)0x1B0)
#define ICS_TS0          (*(volatile __near unsigned short *)0x1B2)
#define ICS_TS0L         (*(volatile __near unsigned char  *)0x1B2)
#define ICS_TS0L_bit     (*(volatile __near __bitf_T *)0x1B2)
#define ICS_TT0          (*(volatile __near unsigned short *)0x1B4)
#define ICS_TT0L         (*(volatile __near unsigned char  *)0x1B4)
#define ICS_TT0L_bit     (*(volatile __near __bitf_T *)0x1B4)
#define ICS_TPS0         (*(volatile __near unsigned short *)0x1B6)
#define ICS_TO0          (*(volatile __near unsigned short *)0x1B8)
#define ICS_TO0L         (*(volatile __near unsigned char  *)0x1B8)
#define ICS_TOE0         (*(volatile __near unsigned short *)0x1BA)
#define ICS_TOE0L        (*(volatile __near unsigned char  *)0x1BA)
#define ICS_TOE0L_bit    (*(volatile __near __bitf_T *)0x1BA)
#define ICS_TOL0         (*(volatile __near unsigned short *)0x1BC)
#define ICS_TOL0L        (*(volatile __near unsigned char  *)0x1BC)
#define ICS_TOM0         (*(volatile __near unsigned short *)0x1BE)
#define ICS_TOM0L        (*(volatile __near unsigned char  *)0x1BE)
#define ICS_IICCTL00     (*(volatile __near unsigned char  *)0x230)
#define ICS_IICCTL00_bit (*(volatile __near __bitf_T *)0x230)
#define ICS_SPT0         (((volatile __near __bitf_T *)0x230)->no0)
#define ICS_STT0         (((volatile __near __bitf_T *)0x230)->no1)
#define ICS_ACKE0        (((volatile __near __bitf_T *)0x230)->no2)
#define ICS_WTIM0        (((volatile __near __bitf_T *)0x230)->no3)
#define ICS_SPIE0        (((volatile __near __bitf_T *)0x230)->no4)
#define ICS_WREL0        (((volatile __near __bitf_T *)0x230)->no5)
#define ICS_LREL0        (((volatile __near __bitf_T *)0x230)->no6)
#define ICS_IICE0        (((volatile __near __bitf_T *)0x230)->no7)
#define ICS_IICCTL01     (*(volatile __near unsigned char  *)0x231)
#define ICS_IICCTL01_bit (*(volatile __near __bitf_T *)0x231)
#define ICS_PRS0         (((volatile __near __bitf_T *)0x231)->no0)
#define ICS_DFC0         (((volatile __near __bitf_T *)0x231)->no2)
#define ICS_SMC0         (((volatile __near __bitf_T *)0x231)->no3)
#define ICS_DAD0         (((volatile __near __bitf_T *)0x231)->no4)
#define ICS_CLD0         (((volatile __near __bitf_T *)0x231)->no5)
#define ICS_WUP0         (((volatile __near __bitf_T *)0x231)->no7)
#define ICS_IICWL0       (*(volatile __near unsigned char  *)0x232)
#define ICS_IICWH0       (*(volatile __near unsigned char  *)0x233)
#define ICS_SVA0         (*(volatile __near unsigned char  *)0x234)
#define ICS_TRJCR0       (*(volatile __near unsigned char  *)0x240)
#define ICS_TRJIOC0      (*(volatile __near unsigned char  *)0x241)
#define ICS_TRJIOC0_bit  (*(volatile __near __bitf_T *)0x241)
#define ICS_TRJMR0       (*(volatile __near unsigned char  *)0x242)
#define ICS_TRJMR0_bit   (*(volatile __near __bitf_T *)0x242)
#define ICS_TRJISR0      (*(volatile __near unsigned char  *)0x243)
#define ICS_TRJISR0_bit  (*(volatile __near __bitf_T *)0x243)
#define ICS_TRGMR        (*(volatile __near unsigned char  *)0x250)
#define ICS_TRGMR_bit    (*(volatile __near __bitf_T *)0x250)
#define ICS_TRGPWM       (((volatile __near __bitf_T *)0x250)->no0)
#define ICS_TRGMDF       (((volatile __near __bitf_T *)0x250)->no1)
#define ICS_TRGDFA       (((volatile __near __bitf_T *)0x250)->no2)
#define ICS_TRGDFB       (((volatile __near __bitf_T *)0x250)->no3)
#define ICS_TRGDFCK0     (((volatile __near __bitf_T *)0x250)->no4)
#define ICS_TRGDFCK1     (((volatile __near __bitf_T *)0x250)->no5)
#define ICS_TRGELCICE    (((volatile __near __bitf_T *)0x250)->no6)
#define ICS_TRGSTART     (((volatile __near __bitf_T *)0x250)->no7)
#define ICS_TRGCNTC      (*(volatile __near unsigned char  *)0x251)
#define ICS_TRGCNTC_bit  (*(volatile __near __bitf_T *)0x251)
#define ICS_TRGCR        (*(volatile __near unsigned char  *)0x252)
#define ICS_TRGCR_bit    (*(volatile __near __bitf_T *)0x252)
#define ICS_TRGTCK0      (((volatile __near __bitf_T *)0x252)->no0)
#define ICS_TRGTCK1      (((volatile __near __bitf_T *)0x252)->no1)
#define ICS_TRGTCK2      (((volatile __near __bitf_T *)0x252)->no2)
#define ICS_TRGCKEG0     (((volatile __near __bitf_T *)0x252)->no3)
#define ICS_TRGCKEG1     (((volatile __near __bitf_T *)0x252)->no4)
#define ICS_TRGCCLR0     (((volatile __near __bitf_T *)0x252)->no5)
#define ICS_TRGCCLR1     (((volatile __near __bitf_T *)0x252)->no6)
#define ICS_TRGIER       (*(volatile __near unsigned char  *)0x253)
#define ICS_TRGIER_bit   (*(volatile __near __bitf_T *)0x253)
#define ICS_TRGIMIEA     (((volatile __near __bitf_T *)0x253)->no0)
#define ICS_TRGIMIEB     (((volatile __near __bitf_T *)0x253)->no1)
#define ICS_TRGUDIE      (((volatile __near __bitf_T *)0x253)->no2)
#define ICS_TRGOVIE      (((volatile __near __bitf_T *)0x253)->no3)
#define ICS_TRGSR        (*(volatile __near unsigned char  *)0x254)
#define ICS_TRGSR_bit    (*(volatile __near __bitf_T *)0x254)
#define ICS_TRGIMFA      (((volatile __near __bitf_T *)0x254)->no0)
#define ICS_TRGIMFB      (((volatile __near __bitf_T *)0x254)->no1)
#define ICS_TRGUDF       (((volatile __near __bitf_T *)0x254)->no2)
#define ICS_TRGOVF       (((volatile __near __bitf_T *)0x254)->no3)
#define ICS_TRGDIRF      (((volatile __near __bitf_T *)0x254)->no4)
#define ICS_TRGIOR       (*(volatile __near unsigned char  *)0x255)
#define ICS_TRGIOR_bit   (*(volatile __near __bitf_T *)0x255)
#define ICS_TRGIOA0      (((volatile __near __bitf_T *)0x255)->no0)
#define ICS_TRGIOA1      (((volatile __near __bitf_T *)0x255)->no1)
#define ICS_TRGIOA2      (((volatile __near __bitf_T *)0x255)->no2)
#define ICS_TRGBUFA      (((volatile __near __bitf_T *)0x255)->no3)
#define ICS_TRGIOB0      (((volatile __near __bitf_T *)0x255)->no4)
#define ICS_TRGIOB1      (((volatile __near __bitf_T *)0x255)->no5)
#define ICS_TRGIOB2      (((volatile __near __bitf_T *)0x255)->no6)
#define ICS_TRGBUFB      (((volatile __near __bitf_T *)0x255)->no7)
#define ICS_TRG          (*(volatile __near unsigned short *)0x256)
#define ICS_TRGGRA       (*(volatile __near unsigned short *)0x258)
#define ICS_TRGGRB       (*(volatile __near unsigned short *)0x25A)
#define ICS_TRGGRCM      (*(volatile __near unsigned short *)0x25C)
#define ICS_TRGGRDM      (*(volatile __near unsigned short *)0x25E)
#define ICS_TRDELC       (*(volatile __near unsigned char  *)0x260)
#define ICS_TRDELC_bit   (*(volatile __near __bitf_T *)0x260)
#define ICS_TRDSTR       (*(volatile __near unsigned char  *)0x263)
#define ICS_TRDMR        (*(volatile __near unsigned char  *)0x264)
#define ICS_TRDMR_bit    (*(volatile __near __bitf_T *)0x264)
#define ICS_TRDSYNC      (((volatile __near __bitf_T *)0x264)->no0)
#define ICS_TRDBFC0      (((volatile __near __bitf_T *)0x264)->no4)
#define ICS_TRDBFD0      (((volatile __near __bitf_T *)0x264)->no5)
#define ICS_TRDBFC1      (((volatile __near __bitf_T *)0x264)->no6)
#define ICS_TRDBFD1      (((volatile __near __bitf_T *)0x264)->no7)
#define ICS_TRDPMR       (*(volatile __near unsigned char  *)0x265)
#define ICS_TRDPMR_bit   (*(volatile __near __bitf_T *)0x265)
#define ICS_TRDPWMB0     (((volatile __near __bitf_T *)0x265)->no0)
#define ICS_TRDPWMC0     (((volatile __near __bitf_T *)0x265)->no1)
#define ICS_TRDPWMD0     (((volatile __near __bitf_T *)0x265)->no2)
#define ICS_TRDPWMB1     (((volatile __near __bitf_T *)0x265)->no4)
#define ICS_TRDPWMC1     (((volatile __near __bitf_T *)0x265)->no5)
#define ICS_TRDPWMD1     (((volatile __near __bitf_T *)0x265)->no6)
#define ICS_TRDFCR       (*(volatile __near unsigned char  *)0x266)
#define ICS_TRDFCR_bit   (*(volatile __near __bitf_T *)0x266)
#define ICS_TRDOER1      (*(volatile __near unsigned char  *)0x267)
#define ICS_TRDOER1_bit  (*(volatile __near __bitf_T *)0x267)
#define ICS_TRDOER2      (*(volatile __near unsigned char  *)0x268)
#define ICS_TRDOER2_bit  (*(volatile __near __bitf_T *)0x268)
#define ICS_TRDSHUTS     (((volatile __near __bitf_T *)0x268)->no0)
#define ICS_TRDPTO       (((volatile __near __bitf_T *)0x268)->no7)
#define ICS_TRDOCR       (*(volatile __near unsigned char  *)0x269)
#define ICS_TRDOCR_bit   (*(volatile __near __bitf_T *)0x269)
#define ICS_TRDDF0       (*(volatile __near unsigned char  *)0x26A)
#define ICS_TRDDF0_bit   (*(volatile __near __bitf_T *)0x26A)
#define ICS_TRDDF1       (*(volatile __near unsigned char  *)0x26B)
#define ICS_TRDDF1_bit   (*(volatile __near __bitf_T *)0x26B)
#define ICS_TRDCR0       (*(volatile __near unsigned char  *)0x270)
#define ICS_TRDCR0_bit   (*(volatile __near __bitf_T *)0x270)
#define ICS_TRDIORA0     (*(volatile __near unsigned char  *)0x271)
#define ICS_TRDIORA0_bit (*(volatile __near __bitf_T *)0x271)
#define ICS_TRDIORC0     (*(volatile __near unsigned char  *)0x272)
#define ICS_TRDIORC0_bit (*(volatile __near __bitf_T *)0x272)
#define ICS_TRDSR0       (*(volatile __near unsigned char  *)0x273)
#define ICS_TRDSR0_bit   (*(volatile __near __bitf_T *)0x273)
#define ICS_TRDIER0      (*(volatile __near unsigned char  *)0x274)
#define ICS_TRDIER0_bit  (*(volatile __near __bitf_T *)0x274)
#define ICS_TRDPOCR0     (*(volatile __near unsigned char  *)0x275)
#define ICS_TRDPOCR0_bit (*(volatile __near __bitf_T *)0x275)
#define ICS_TRD0         (*(volatile __near unsigned short *)0x276)
#define ICS_TRDGRA0      (*(volatile __near unsigned short *)0x278)
#define ICS_TRDGRB0      (*(volatile __near unsigned short *)0x27A)
#define ICS_TRDGRC0M     (*(volatile __near unsigned short *)0x27C)
#define ICS_TRDGRD0M     (*(volatile __near unsigned short *)0x27E)
#define ICS_TRDCR1       (*(volatile __near unsigned char  *)0x280)
#define ICS_TRDCR1_bit   (*(volatile __near __bitf_T *)0x280)
#define ICS_TRDIORA1     (*(volatile __near unsigned char  *)0x281)
#define ICS_TRDIORA1_bit (*(volatile __near __bitf_T *)0x281)
#define ICS_TRDIORC1     (*(volatile __near unsigned char  *)0x282)
#define ICS_TRDIORC1_bit (*(volatile __near __bitf_T *)0x282)
#define ICS_TRDSR1       (*(volatile __near unsigned char  *)0x283)
#define ICS_TRDSR1_bit   (*(volatile __near __bitf_T *)0x283)
#define ICS_TRDIER1      (*(volatile __near unsigned char  *)0x284)
#define ICS_TRDIER1_bit  (*(volatile __near __bitf_T *)0x284)
#define ICS_TRDPOCR1     (*(volatile __near unsigned char  *)0x285)
#define ICS_TRDPOCR1_bit (*(volatile __near __bitf_T *)0x285)
#define ICS_TRD1         (*(volatile __near unsigned short *)0x286)
#define ICS_TRDGRA1      (*(volatile __near unsigned short *)0x288)
#define ICS_TRDGRB1      (*(volatile __near unsigned short *)0x28A)
#define ICS_TRDGRC1M     (*(volatile __near unsigned short *)0x28C)
#define ICS_TRDGRD1M     (*(volatile __near unsigned short *)0x28E)
#define ICS_DTCBAR       (*(volatile __near unsigned char  *)0x2E0)
#define ICS_DTCEN0       (*(volatile __near unsigned char  *)0x2E8)
#define ICS_DTCEN0_bit   (*(volatile __near __bitf_T *)0x2E8)
#define ICS_DTCEN1       (*(volatile __near unsigned char  *)0x2E9)
#define ICS_DTCEN1_bit   (*(volatile __near __bitf_T *)0x2E9)
#define ICS_DTCEN2       (*(volatile __near unsigned char  *)0x2EA)
#define ICS_DTCEN2_bit   (*(volatile __near __bitf_T *)0x2EA)
#define ICS_DTCEN3       (*(volatile __near unsigned char  *)0x2EB)
#define ICS_DTCEN3_bit   (*(volatile __near __bitf_T *)0x2EB)
#define ICS_DTCEN4       (*(volatile __near unsigned char  *)0x2EC)
#define ICS_DTCEN4_bit   (*(volatile __near __bitf_T *)0x2EC)
#define ICS_CRC0CTL      (*(volatile __near unsigned char  *)0x2F0)
#define ICS_CRC0CTL_bit  (*(volatile __near __bitf_T *)0x2F0)
#define ICS_CRC0EN       (((volatile __near __bitf_T *)0x2F0)->no7)
#define ICS_PGCRCL       (*(volatile __near unsigned short *)0x2F2)
#define ICS_CRCD         (*(volatile __near unsigned short *)0x2FA)
#define ICS_ELSELR00     (*(volatile __near unsigned char  *)0x300)
#define ICS_ELSELR00_bit (*(volatile __near __bitf_T *)0x300)
#define ICS_ELSELR01     (*(volatile __near unsigned char  *)0x301)
#define ICS_ELSELR01_bit (*(volatile __near __bitf_T *)0x301)
#define ICS_ELSELR02     (*(volatile __near unsigned char  *)0x302)
#define ICS_ELSELR02_bit (*(volatile __near __bitf_T *)0x302)
#define ICS_ELSELR03     (*(volatile __near unsigned char  *)0x303)
#define ICS_ELSELR03_bit (*(volatile __near __bitf_T *)0x303)
#define ICS_ELSELR04     (*(volatile __near unsigned char  *)0x304)
#define ICS_ELSELR04_bit (*(volatile __near __bitf_T *)0x304)
#define ICS_ELSELR05     (*(volatile __near unsigned char  *)0x305)
#define ICS_ELSELR05_bit (*(volatile __near __bitf_T *)0x305)
#define ICS_ELSELR06     (*(volatile __near unsigned char  *)0x306)
#define ICS_ELSELR06_bit (*(volatile __near __bitf_T *)0x306)
#define ICS_ELSELR07     (*(volatile __near unsigned char  *)0x307)
#define ICS_ELSELR07_bit (*(volatile __near __bitf_T *)0x307)
#define ICS_ELSELR08     (*(volatile __near unsigned char  *)0x308)
#define ICS_ELSELR08_bit (*(volatile __near __bitf_T *)0x308)
#define ICS_ELSELR09     (*(volatile __near unsigned char  *)0x309)
#define ICS_ELSELR09_bit (*(volatile __near __bitf_T *)0x309)
#define ICS_ELSELR10     (*(volatile __near unsigned char  *)0x30A)
#define ICS_ELSELR10_bit (*(volatile __near __bitf_T *)0x30A)
#define ICS_ELSELR11     (*(volatile __near unsigned char  *)0x30B)
#define ICS_ELSELR11_bit (*(volatile __near __bitf_T *)0x30B)
#define ICS_ELSELR12     (*(volatile __near unsigned char  *)0x30C)
#define ICS_ELSELR12_bit (*(volatile __near __bitf_T *)0x30C)
#define ICS_ELSELR13     (*(volatile __near unsigned char  *)0x30D)
#define ICS_ELSELR13_bit (*(volatile __near __bitf_T *)0x30D)
#define ICS_ELSELR14     (*(volatile __near unsigned char  *)0x30E)
#define ICS_ELSELR14_bit (*(volatile __near __bitf_T *)0x30E)
#define ICS_ELSELR15     (*(volatile __near unsigned char  *)0x30F)
#define ICS_ELSELR15_bit (*(volatile __near __bitf_T *)0x30F)
#define ICS_ELSELR16     (*(volatile __near unsigned char  *)0x310)
#define ICS_ELSELR16_bit (*(volatile __near __bitf_T *)0x310)
#define ICS_ELSELR17     (*(volatile __near unsigned char  *)0x311)
#define ICS_ELSELR17_bit (*(volatile __near __bitf_T *)0x311)
#define ICS_ELSELR18     (*(volatile __near unsigned char  *)0x312)
#define ICS_ELSELR18_bit (*(volatile __near __bitf_T *)0x312)
#define ICS_ELSELR19     (*(volatile __near unsigned char  *)0x313)
#define ICS_ELSELR19_bit (*(volatile __near __bitf_T *)0x313)
#define ICS_ELSELR20     (*(volatile __near unsigned char  *)0x314)
#define ICS_ELSELR20_bit (*(volatile __near __bitf_T *)0x314)
#define ICS_ELSELR21     (*(volatile __near unsigned char  *)0x315)
#define ICS_ELSELR21_bit (*(volatile __near __bitf_T *)0x315)
#define ICS_COMPMDR      (*(volatile __near unsigned char  *)0x340)
#define ICS_COMPMDR_bit  (*(volatile __near __bitf_T *)0x340)
#define ICS_C0ENB        (((volatile __near __bitf_T *)0x340)->no0)
#define ICS_C0MON        (((volatile __near __bitf_T *)0x340)->no3)
#define ICS_C1ENB        (((volatile __near __bitf_T *)0x340)->no4)
#define ICS_C1MON        (((volatile __near __bitf_T *)0x340)->no7)
#define ICS_COMPFIR      (*(volatile __near unsigned char  *)0x341)
#define ICS_COMPOCR      (*(volatile __near unsigned char  *)0x342)
#define ICS_COMPOCR_bit  (*(volatile __near __bitf_T *)0x342)
#define ICS_C0IE         (((volatile __near __bitf_T *)0x342)->no0)
#define ICS_C0OE         (((volatile __near __bitf_T *)0x342)->no1)
#define ICS_C0OP         (((volatile __near __bitf_T *)0x342)->no2)
#define ICS_C1IE         (((volatile __near __bitf_T *)0x342)->no4)
#define ICS_C1OE         (((volatile __near __bitf_T *)0x342)->no5)
#define ICS_C1OP         (((volatile __near __bitf_T *)0x342)->no6)
#define ICS_C1OTWMD      (((volatile __near __bitf_T *)0x342)->no7)
#define ICS_CVRCTL       (*(volatile __near unsigned char  *)0x343)
#define ICS_CVRCTL_bit   (*(volatile __near __bitf_T *)0x343)
#define ICS_CVRE0        (((volatile __near __bitf_T *)0x343)->no1)
#define ICS_CVRE1        (((volatile __near __bitf_T *)0x343)->no5)
#define ICS_C0RVM        (*(volatile __near unsigned char  *)0x344)
#define ICS_C1RVM        (*(volatile __near unsigned char  *)0x345)
#define ICS_PGACTL       (*(volatile __near unsigned char  *)0x347)
#define ICS_PGACTL_bit   (*(volatile __near __bitf_T *)0x347)
#define ICS_PGAEN        (((volatile __near __bitf_T *)0x347)->no7)
#define ICS_CMPSEL0      (*(volatile __near unsigned char  *)0x34A)
#define ICS_CMPSEL0_bit  (*(volatile __near __bitf_T *)0x34A)
#define ICS_CMPSEL1      (*(volatile __near unsigned char  *)0x34B)
#define ICS_CMPSEL1_bit  (*(volatile __near __bitf_T *)0x34B)
#define ICS_TRX          (*(volatile __near unsigned short *)0x350)
#define ICS_TRXBUF       (*(volatile __near unsigned short *)0x352)
#define ICS_TRXCR1       (*(volatile __near unsigned char  *)0x354)
#define ICS_TRXCR1_bit   (*(volatile __near __bitf_T *)0x354)
#define ICS_TRXCR2       (*(volatile __near unsigned char  *)0x355)
#define ICS_TRXCR2_bit   (*(volatile __near __bitf_T *)0x355)
#define ICS_TSTART       (((volatile __near __bitf_T *)0x355)->no0)
#define ICS_TRXSR        (*(volatile __near unsigned char  *)0x356)
#define ICS_TRXSR_bit    (*(volatile __near __bitf_T *)0x356)
#define ICS_TRXOVF       (((volatile __near __bitf_T *)0x356)->no0)
#define ICS_TRXSB        (((volatile __near __bitf_T *)0x356)->no1)
#define ICS_OPCTL0       (*(volatile __near unsigned char  *)0x358)
#define ICS_OPCTL0_bit   (*(volatile __near __bitf_T *)0x358)
#define ICS_OPDF0        (*(volatile __near unsigned char  *)0x359)
#define ICS_OPDF1        (*(volatile __near unsigned char  *)0x35A)
#define ICS_OPEDGE       (*(volatile __near unsigned char  *)0x35B)
#define ICS_OPSR         (*(volatile __near unsigned char  *)0x35C)
#define ICS_OPSR_bit     (*(volatile __near __bitf_T *)0x35C)
#define ICS_IRCR         (*(volatile __near unsigned char  *)0x3A0)
#define ICS_IRCR_bit     (*(volatile __near __bitf_T *)0x3A0)
#define ICS_IRRXINV      (((volatile __near __bitf_T *)0x3A0)->no2)
#define ICS_IRTXINV      (((volatile __near __bitf_T *)0x3A0)->no3)
#define ICS_IRE          (((volatile __near __bitf_T *)0x3A0)->no7)
#define ICS_TRJ0         (*(volatile __near unsigned short *)0x500)
#define ICS_P0           (*(volatile __near unsigned char  *)0xFF00)
#define ICS_P0_bit       (*(volatile __near __bitf_T *)0xFF00)
#define ICS_P1           (*(volatile __near unsigned char  *)0xFF01)
#define ICS_P1_bit       (*(volatile __near __bitf_T *)0xFF01)
#define ICS_P2           (*(volatile __near unsigned char  *)0xFF02)
#define ICS_P2_bit       (*(volatile __near __bitf_T *)0xFF02)
#define ICS_P3           (*(volatile __near unsigned char  *)0xFF03)
#define ICS_P3_bit       (*(volatile __near __bitf_T *)0xFF03)
#define ICS_P4           (*(volatile __near unsigned char  *)0xFF04)
#define ICS_P4_bit       (*(volatile __near __bitf_T *)0xFF04)
#define ICS_P5           (*(volatile __near unsigned char  *)0xFF05)
#define ICS_P5_bit       (*(volatile __near __bitf_T *)0xFF05)
#define ICS_P6           (*(volatile __near unsigned char  *)0xFF06)
#define ICS_P6_bit       (*(volatile __near __bitf_T *)0xFF06)
#define ICS_P7           (*(volatile __near unsigned char  *)0xFF07)
#define ICS_P7_bit       (*(volatile __near __bitf_T *)0xFF07)
#define ICS_P12          (*(volatile __near unsigned char  *)0xFF0C)
#define ICS_P12_bit      (*(volatile __near __bitf_T *)0xFF0C)
#define ICS_P13          (*(volatile __near unsigned char  *)0xFF0D)
#define ICS_P13_bit      (*(volatile __near __bitf_T *)0xFF0D)
#define ICS_P14          (*(volatile __near unsigned char  *)0xFF0E)
#define ICS_P14_bit      (*(volatile __near __bitf_T *)0xFF0E)
#define ICS_SDR00        (*(volatile __near unsigned short *)0xFF10)
#define ICS_SIO00        (*(volatile __near unsigned char  *)0xFF10)
#define ICS_TXD0         (*(volatile __near unsigned char  *)0xFF10)
#define ICS_SDR01        (*(volatile __near unsigned short *)0xFF12)
#define ICS_RXD0         (*(volatile __near unsigned char  *)0xFF12)
#define ICS_SIO01        (*(volatile __near unsigned char  *)0xFF12)
#define ICS_TDR00        (*(volatile __near unsigned short *)0xFF18)
#define ICS_TDR01        (*(volatile __near unsigned short *)0xFF1A)
#define ICS_TDR01L       (*(volatile __near unsigned char  *)0xFF1A)
#define ICS_TDR01H       (*(volatile __near unsigned char  *)0xFF1B)
#define ICS_ADCR         (*(volatile __near unsigned short *)0xFF1E)
#define ICS_ADCRH        (*(volatile __near unsigned char  *)0xFF1F)
#define ICS_PM0          (*(volatile __near unsigned char  *)0xFF20)
#define ICS_PM0_bit      (*(volatile __near __bitf_T *)0xFF20)
#define ICS_PM1          (*(volatile __near unsigned char  *)0xFF21)
#define ICS_PM1_bit      (*(volatile __near __bitf_T *)0xFF21)
#define ICS_PM2          (*(volatile __near unsigned char  *)0xFF22)
#define ICS_PM2_bit      (*(volatile __near __bitf_T *)0xFF22)
#define ICS_PM3          (*(volatile __near unsigned char  *)0xFF23)
#define ICS_PM3_bit      (*(volatile __near __bitf_T *)0xFF23)
#define ICS_PM4          (*(volatile __near unsigned char  *)0xFF24)
#define ICS_PM4_bit      (*(volatile __near __bitf_T *)0xFF24)
#define ICS_PM5          (*(volatile __near unsigned char  *)0xFF25)
#define ICS_PM5_bit      (*(volatile __near __bitf_T *)0xFF25)
#define ICS_PM6          (*(volatile __near unsigned char  *)0xFF26)
#define ICS_PM6_bit      (*(volatile __near __bitf_T *)0xFF26)
#define ICS_PM7          (*(volatile __near unsigned char  *)0xFF27)
#define ICS_PM7_bit      (*(volatile __near __bitf_T *)0xFF27)
#define ICS_PM12         (*(volatile __near unsigned char  *)0xFF2C)
#define ICS_PM12_bit     (*(volatile __near __bitf_T *)0xFF2C)
#define ICS_PM14         (*(volatile __near unsigned char  *)0xFF2E)
#define ICS_PM14_bit     (*(volatile __near __bitf_T *)0xFF2E)
#define ICS_ADM0         (*(volatile __near unsigned char  *)0xFF30)
#define ICS_ADM0_bit     (*(volatile __near __bitf_T *)0xFF30)
#define ICS_ADCE         (((volatile __near __bitf_T *)0xFF30)->no0)
#define ICS_ADCS         (((volatile __near __bitf_T *)0xFF30)->no7)
#define ICS_ADS          (*(volatile __near unsigned char  *)0xFF31)
#define ICS_ADS_bit      (*(volatile __near __bitf_T *)0xFF31)
#define ICS_ADM1         (*(volatile __near unsigned char  *)0xFF32)
#define ICS_ADM1_bit     (*(volatile __near __bitf_T *)0xFF32)
#define ICS_DACS0        (*(volatile __near unsigned char  *)0xFF34)
#define ICS_DACS1        (*(volatile __near unsigned char  *)0xFF35)
#define ICS_DAM          (*(volatile __near unsigned char  *)0xFF36)
#define ICS_DAM_bit      (*(volatile __near __bitf_T *)0xFF36)
#define ICS_DACE0        (((volatile __near __bitf_T *)0xFF36)->no4)
#define ICS_DACE1        (((volatile __near __bitf_T *)0xFF36)->no5)
#define ICS_KRM          (*(volatile __near unsigned char  *)0xFF37)
#define ICS_KRM_bit      (*(volatile __near __bitf_T *)0xFF37)
#define ICS_EGP0         (*(volatile __near unsigned char  *)0xFF38)
#define ICS_EGP0_bit     (*(volatile __near __bitf_T *)0xFF38)
#define ICS_EGN0         (*(volatile __near unsigned char  *)0xFF39)
#define ICS_EGN0_bit     (*(volatile __near __bitf_T *)0xFF39)
#define ICS_EGP1         (*(volatile __near unsigned char  *)0xFF3A)
#define ICS_EGP1_bit     (*(volatile __near __bitf_T *)0xFF3A)
#define ICS_EGN1         (*(volatile __near unsigned char  *)0xFF3B)
#define ICS_EGN1_bit     (*(volatile __near __bitf_T *)0xFF3B)
#define ICS_SDR02        (*(volatile __near unsigned short *)0xFF44)
#define ICS_SIO10        (*(volatile __near unsigned char  *)0xFF44)
#define ICS_TXD1         (*(volatile __near unsigned char  *)0xFF44)
#define ICS_SDR03        (*(volatile __near unsigned short *)0xFF46)
#define ICS_RXD1         (*(volatile __near unsigned char  *)0xFF46)
#define ICS_SIO11        (*(volatile __near unsigned char  *)0xFF46)
#define ICS_SDR10        (*(volatile __near unsigned short *)0xFF48)
#define ICS_SIO20        (*(volatile __near unsigned char  *)0xFF48)
#define ICS_TXD2         (*(volatile __near unsigned char  *)0xFF48)
#define ICS_SDR11        (*(volatile __near unsigned short *)0xFF4A)
#define ICS_RXD2         (*(volatile __near unsigned char  *)0xFF4A)
#define ICS_SIO21        (*(volatile __near unsigned char  *)0xFF4A)
#define ICS_IICA0        (*(volatile __near unsigned char  *)0xFF50)
#define ICS_IICS0        (*(volatile __near unsigned char  *)0xFF51)
#define ICS_IICS0_bit    (*(volatile __near __bitf_T *)0xFF51)
#define ICS_SPD0         (((volatile __near __bitf_T *)0xFF51)->no0)
#define ICS_STD0         (((volatile __near __bitf_T *)0xFF51)->no1)
#define ICS_ACKD0        (((volatile __near __bitf_T *)0xFF51)->no2)
#define ICS_TRC0         (((volatile __near __bitf_T *)0xFF51)->no3)
#define ICS_COI0         (((volatile __near __bitf_T *)0xFF51)->no4)
#define ICS_EXC0         (((volatile __near __bitf_T *)0xFF51)->no5)
#define ICS_ALD0         (((volatile __near __bitf_T *)0xFF51)->no6)
#define ICS_MSTS0        (((volatile __near __bitf_T *)0xFF51)->no7)
#define ICS_IICF0        (*(volatile __near unsigned char  *)0xFF52)
#define ICS_IICF0_bit    (*(volatile __near __bitf_T *)0xFF52)
#define ICS_IICRSV0      (((volatile __near __bitf_T *)0xFF52)->no0)
#define ICS_STCEN0       (((volatile __near __bitf_T *)0xFF52)->no1)
#define ICS_IICBSY0      (((volatile __near __bitf_T *)0xFF52)->no6)
#define ICS_STCF0        (((volatile __near __bitf_T *)0xFF52)->no7)
#define ICS_TRDGRC0      (*(volatile __near unsigned short *)0xFF58)
#define ICS_TRDGRD0      (*(volatile __near unsigned short *)0xFF5A)
#define ICS_TRDGRC1      (*(volatile __near unsigned short *)0xFF5C)
#define ICS_TRDGRD1      (*(volatile __near unsigned short *)0xFF5E)
#define ICS_TRGGRC       (*(volatile __near unsigned short *)0xFF60)
#define ICS_TRGGRD       (*(volatile __near unsigned short *)0xFF62)
#define ICS_TDR02        (*(volatile __near unsigned short *)0xFF64)
#define ICS_TDR03        (*(volatile __near unsigned short *)0xFF66)
#define ICS_TDR03L       (*(volatile __near unsigned char  *)0xFF66)
#define ICS_TDR03H       (*(volatile __near unsigned char  *)0xFF67)
#define ICS_ITMC         (*(volatile __near unsigned short *)0xFF90)
#define ICS_SEC          (*(volatile __near unsigned char  *)0xFF92)
#define ICS_MIN          (*(volatile __near unsigned char  *)0xFF93)
#define ICS_HOUR         (*(volatile __near unsigned char  *)0xFF94)
#define ICS_WEEK         (*(volatile __near unsigned char  *)0xFF95)
#define ICS_DAY          (*(volatile __near unsigned char  *)0xFF96)
#define ICS_MONTH        (*(volatile __near unsigned char  *)0xFF97)
#define ICS_YEAR         (*(volatile __near unsigned char  *)0xFF98)
#define ICS_SUBCUD       (*(volatile __near unsigned char  *)0xFF99)
#define ICS_ALARMWM      (*(volatile __near unsigned char  *)0xFF9A)
#define ICS_ALARMWH      (*(volatile __near unsigned char  *)0xFF9B)
#define ICS_ALARMWW      (*(volatile __near unsigned char  *)0xFF9C)
#define ICS_RTCC0        (*(volatile __near unsigned char  *)0xFF9D)
#define ICS_RTCC0_bit    (*(volatile __near __bitf_T *)0xFF9D)
#define ICS_RCLOE1       (((volatile __near __bitf_T *)0xFF9D)->no5)
#define ICS_RTCE         (((volatile __near __bitf_T *)0xFF9D)->no7)
#define ICS_RTCC1        (*(volatile __near unsigned char  *)0xFF9E)
#define ICS_RTCC1_bit    (*(volatile __near __bitf_T *)0xFF9E)
#define ICS_RWAIT        (((volatile __near __bitf_T *)0xFF9E)->no0)
#define ICS_RWST         (((volatile __near __bitf_T *)0xFF9E)->no1)
#define ICS_RIFG         (((volatile __near __bitf_T *)0xFF9E)->no3)
#define ICS_WAFG         (((volatile __near __bitf_T *)0xFF9E)->no4)
#define ICS_WALIE        (((volatile __near __bitf_T *)0xFF9E)->no6)
#define ICS_WALE         (((volatile __near __bitf_T *)0xFF9E)->no7)
#define ICS_CMC          (*(volatile __near unsigned char  *)0xFFA0)
#define ICS_CSC          (*(volatile __near unsigned char  *)0xFFA1)
#define ICS_CSC_bit      (*(volatile __near __bitf_T *)0xFFA1)
#define ICS_HIOSTOP      (((volatile __near __bitf_T *)0xFFA1)->no0)
#define ICS_XTSTOP       (((volatile __near __bitf_T *)0xFFA1)->no6)
#define ICS_MSTOP        (((volatile __near __bitf_T *)0xFFA1)->no7)
#define ICS_OSTC         (*(volatile __near unsigned char  *)0xFFA2)
#define ICS_OSTC_bit     (*(volatile __near __bitf_T *)0xFFA2)
#define ICS_OSTS         (*(volatile __near unsigned char  *)0xFFA3)
#define ICS_CKC          (*(volatile __near unsigned char  *)0xFFA4)
#define ICS_CKC_bit      (*(volatile __near __bitf_T *)0xFFA4)
#define ICS_SDIV         (((volatile __near __bitf_T *)0xFFA4)->no3)
#define ICS_MCM0         (((volatile __near __bitf_T *)0xFFA4)->no4)
#define ICS_MCS          (((volatile __near __bitf_T *)0xFFA4)->no5)
#define ICS_CSS          (((volatile __near __bitf_T *)0xFFA4)->no6)
#define ICS_CLS          (((volatile __near __bitf_T *)0xFFA4)->no7)
#define ICS_CKS0         (*(volatile __near unsigned char  *)0xFFA5)
#define ICS_CKS0_bit     (*(volatile __near __bitf_T *)0xFFA5)
#define ICS_PCLOE0       (((volatile __near __bitf_T *)0xFFA5)->no7)
#define ICS_CKS1         (*(volatile __near unsigned char  *)0xFFA6)
#define ICS_CKS1_bit     (*(volatile __near __bitf_T *)0xFFA6)
#define ICS_PCLOE1       (((volatile __near __bitf_T *)0xFFA6)->no7)
#define ICS_RESF         (*(volatile __near unsigned char  *)0xFFA8)
#define ICS_LVIM         (*(volatile __near unsigned char  *)0xFFA9)
#define ICS_LVIM_bit     (*(volatile __near __bitf_T *)0xFFA9)
#define ICS_LVIF         (((volatile __near __bitf_T *)0xFFA9)->no0)
#define ICS_LVIOMSK      (((volatile __near __bitf_T *)0xFFA9)->no1)
#define ICS_LVISEN       (((volatile __near __bitf_T *)0xFFA9)->no7)
#define ICS_LVIS         (*(volatile __near unsigned char  *)0xFFAA)
#define ICS_LVIS_bit     (*(volatile __near __bitf_T *)0xFFAA)
#define ICS_LVILV        (((volatile __near __bitf_T *)0xFFAA)->no0)
#define ICS_LVIMD        (((volatile __near __bitf_T *)0xFFAA)->no7)
#define ICS_WDTE         (*(volatile __near unsigned char  *)0xFFAB)
#define ICS_CRCIN        (*(volatile __near unsigned char  *)0xFFAC)
#define ICS_IF2          (*(volatile __near unsigned short *)0xFFD0)
#define ICS_IF2L         (*(volatile __near unsigned char  *)0xFFD0)
#define ICS_IF2L_bit     (*(volatile __near __bitf_T *)0xFFD0)
#define ICS_IF2H         (*(volatile __near unsigned char  *)0xFFD1)
#define ICS_IF2H_bit     (*(volatile __near __bitf_T *)0xFFD1)
#define ICS_PIF6         (((volatile __near __bitf_T *)0xFFD0)->no3)
#define ICS_PIF7         (((volatile __near __bitf_T *)0xFFD0)->no4)
#define ICS_PIF8         (((volatile __near __bitf_T *)0xFFD0)->no5)
#define ICS_PIF9         (((volatile __near __bitf_T *)0xFFD0)->no6)
#define ICS_CMPIF0       (((volatile __near __bitf_T *)0xFFD0)->no7)
#define ICS_PIF10        (((volatile __near __bitf_T *)0xFFD0)->no7)
#define ICS_CMPIF1       (((volatile __near __bitf_T *)0xFFD1)->no0)
#define ICS_PIF11        (((volatile __near __bitf_T *)0xFFD1)->no0)
#define ICS_TRDIF0       (((volatile __near __bitf_T *)0xFFD1)->no1)
#define ICS_TRDIF1       (((volatile __near __bitf_T *)0xFFD1)->no2)
#define ICS_TRGIF        (((volatile __near __bitf_T *)0xFFD1)->no3)
#define ICS_TRXIF        (((volatile __near __bitf_T *)0xFFD1)->no4)
#define ICS_FLIF         (((volatile __near __bitf_T *)0xFFD1)->no7)
#define ICS_MK2          (*(volatile __near unsigned short *)0xFFD4)
#define ICS_MK2L         (*(volatile __near unsigned char  *)0xFFD4)
#define ICS_MK2L_bit     (*(volatile __near __bitf_T *)0xFFD4)
#define ICS_MK2H         (*(volatile __near unsigned char  *)0xFFD5)
#define ICS_MK2H_bit     (*(volatile __near __bitf_T *)0xFFD5)
#define ICS_PMK6         (((volatile __near __bitf_T *)0xFFD4)->no3)
#define ICS_PMK7         (((volatile __near __bitf_T *)0xFFD4)->no4)
#define ICS_PMK8         (((volatile __near __bitf_T *)0xFFD4)->no5)
#define ICS_PMK9         (((volatile __near __bitf_T *)0xFFD4)->no6)
#define ICS_CMPMK0       (((volatile __near __bitf_T *)0xFFD4)->no7)
#define ICS_PMK10        (((volatile __near __bitf_T *)0xFFD4)->no7)
#define ICS_CMPMK1       (((volatile __near __bitf_T *)0xFFD5)->no0)
#define ICS_PMK11        (((volatile __near __bitf_T *)0xFFD5)->no0)
#define ICS_TRDMK0       (((volatile __near __bitf_T *)0xFFD5)->no1)
#define ICS_TRDMK1       (((volatile __near __bitf_T *)0xFFD5)->no2)
#define ICS_TRGMK        (((volatile __near __bitf_T *)0xFFD5)->no3)
#define ICS_TRXMK        (((volatile __near __bitf_T *)0xFFD5)->no4)
#define ICS_FLMK         (((volatile __near __bitf_T *)0xFFD5)->no7)
#define ICS_PR02         (*(volatile __near unsigned short *)0xFFD8)
#define ICS_PR02L        (*(volatile __near unsigned char  *)0xFFD8)
#define ICS_PR02L_bit    (*(volatile __near __bitf_T *)0xFFD8)
#define ICS_PR02H        (*(volatile __near unsigned char  *)0xFFD9)
#define ICS_PR02H_bit    (*(volatile __near __bitf_T *)0xFFD9)
#define ICS_PPR06        (((volatile __near __bitf_T *)0xFFD8)->no3)
#define ICS_PPR07        (((volatile __near __bitf_T *)0xFFD8)->no4)
#define ICS_PPR08        (((volatile __near __bitf_T *)0xFFD8)->no5)
#define ICS_PPR09        (((volatile __near __bitf_T *)0xFFD8)->no6)
#define ICS_CMPPR00      (((volatile __near __bitf_T *)0xFFD8)->no7)
#define ICS_PPR010       (((volatile __near __bitf_T *)0xFFD8)->no7)
#define ICS_CMPPR01      (((volatile __near __bitf_T *)0xFFD9)->no0)
#define ICS_PPR011       (((volatile __near __bitf_T *)0xFFD9)->no0)
#define ICS_TRDPR00      (((volatile __near __bitf_T *)0xFFD9)->no1)
#define ICS_TRDPR01      (((volatile __near __bitf_T *)0xFFD9)->no2)
#define ICS_TRGPR0       (((volatile __near __bitf_T *)0xFFD9)->no3)
#define ICS_TRXPR0       (((volatile __near __bitf_T *)0xFFD9)->no4)
#define ICS_FLPR0        (((volatile __near __bitf_T *)0xFFD9)->no7)
#define ICS_PR12         (*(volatile __near unsigned short *)0xFFDC)
#define ICS_PR12L        (*(volatile __near unsigned char  *)0xFFDC)
#define ICS_PR12L_bit    (*(volatile __near __bitf_T *)0xFFDC)
#define ICS_PR12H        (*(volatile __near unsigned char  *)0xFFDD)
#define ICS_PR12H_bit    (*(volatile __near __bitf_T *)0xFFDD)
#define ICS_PPR16        (((volatile __near __bitf_T *)0xFFDC)->no3)
#define ICS_PPR17        (((volatile __near __bitf_T *)0xFFDC)->no4)
#define ICS_PPR18        (((volatile __near __bitf_T *)0xFFDC)->no5)
#define ICS_PPR19        (((volatile __near __bitf_T *)0xFFDC)->no6)
#define ICS_CMPPR10      (((volatile __near __bitf_T *)0xFFDC)->no7)
#define ICS_PPR110       (((volatile __near __bitf_T *)0xFFDC)->no7)
#define ICS_CMPPR11      (((volatile __near __bitf_T *)0xFFDD)->no0)
#define ICS_PPR111       (((volatile __near __bitf_T *)0xFFDD)->no0)
#define ICS_TRDPR10      (((volatile __near __bitf_T *)0xFFDD)->no1)
#define ICS_TRDPR11      (((volatile __near __bitf_T *)0xFFDD)->no2)
#define ICS_TRGPR1       (((volatile __near __bitf_T *)0xFFDD)->no3)
#define ICS_TRXPR1       (((volatile __near __bitf_T *)0xFFDD)->no4)
#define ICS_FLPR1        (((volatile __near __bitf_T *)0xFFDD)->no7)
#define ICS_IF0          (*(volatile __near unsigned short *)0xFFE0)
#define ICS_IF0L         (*(volatile __near unsigned char  *)0xFFE0)
#define ICS_IF0L_bit     (*(volatile __near __bitf_T *)0xFFE0)
#define ICS_IF0H         (*(volatile __near unsigned char  *)0xFFE1)
#define ICS_IF0H_bit     (*(volatile __near __bitf_T *)0xFFE1)
#define ICS_SROIF        (((volatile __near __bitf_T *)0xFFE0)->no0)
#define ICS_WDTIIF       (((volatile __near __bitf_T *)0xFFE0)->no0)
#define ICS_LVIIF        (((volatile __near __bitf_T *)0xFFE0)->no1)
#define ICS_PIF0         (((volatile __near __bitf_T *)0xFFE0)->no2)
#define ICS_PIF1         (((volatile __near __bitf_T *)0xFFE0)->no3)
#define ICS_PIF2         (((volatile __near __bitf_T *)0xFFE0)->no4)
#define ICS_PIF3         (((volatile __near __bitf_T *)0xFFE0)->no5)
#define ICS_PIF4         (((volatile __near __bitf_T *)0xFFE0)->no6)
#define ICS_PIF5         (((volatile __near __bitf_T *)0xFFE0)->no7)
#define ICS_CSIIF20      (((volatile __near __bitf_T *)0xFFE1)->no0)
#define ICS_IICIF20      (((volatile __near __bitf_T *)0xFFE1)->no0)
#define ICS_STIF2        (((volatile __near __bitf_T *)0xFFE1)->no0)
#define ICS_CSIIF21      (((volatile __near __bitf_T *)0xFFE1)->no1)
#define ICS_IICIF21      (((volatile __near __bitf_T *)0xFFE1)->no1)
#define ICS_SRIF2        (((volatile __near __bitf_T *)0xFFE1)->no1)
#define ICS_SREIF2       (((volatile __near __bitf_T *)0xFFE1)->no2)
#define ICS_CSIIF00      (((volatile __near __bitf_T *)0xFFE1)->no5)
#define ICS_IICIF00      (((volatile __near __bitf_T *)0xFFE1)->no5)
#define ICS_STIF0        (((volatile __near __bitf_T *)0xFFE1)->no5)
#define ICS_CSIIF01      (((volatile __near __bitf_T *)0xFFE1)->no6)
#define ICS_IICIF01      (((volatile __near __bitf_T *)0xFFE1)->no6)
#define ICS_SRIF0        (((volatile __near __bitf_T *)0xFFE1)->no6)
#define ICS_SREIF0       (((volatile __near __bitf_T *)0xFFE1)->no7)
#define ICS_TMIF01H      (((volatile __near __bitf_T *)0xFFE1)->no7)
#define ICS_IF1          (*(volatile __near unsigned short *)0xFFE2)
#define ICS_IF1L         (*(volatile __near unsigned char  *)0xFFE2)
#define ICS_IF1L_bit     (*(volatile __near __bitf_T *)0xFFE2)
#define ICS_IF1H         (*(volatile __near unsigned char  *)0xFFE3)
#define ICS_IF1H_bit     (*(volatile __near __bitf_T *)0xFFE3)
#define ICS_CSIIF10      (((volatile __near __bitf_T *)0xFFE2)->no0)
#define ICS_IICIF10      (((volatile __near __bitf_T *)0xFFE2)->no0)
#define ICS_STIF1        (((volatile __near __bitf_T *)0xFFE2)->no0)
#define ICS_CSIIF11      (((volatile __near __bitf_T *)0xFFE2)->no1)
#define ICS_IICIF11      (((volatile __near __bitf_T *)0xFFE2)->no1)
#define ICS_SRIF1        (((volatile __near __bitf_T *)0xFFE2)->no1)
#define ICS_SREIF1       (((volatile __near __bitf_T *)0xFFE2)->no2)
#define ICS_TMIF03H      (((volatile __near __bitf_T *)0xFFE2)->no2)
#define ICS_IICAIF0      (((volatile __near __bitf_T *)0xFFE2)->no3)
#define ICS_TMIF00       (((volatile __near __bitf_T *)0xFFE2)->no4)
#define ICS_TMIF01       (((volatile __near __bitf_T *)0xFFE2)->no5)
#define ICS_TMIF02       (((volatile __near __bitf_T *)0xFFE2)->no6)
#define ICS_TMIF03       (((volatile __near __bitf_T *)0xFFE2)->no7)
#define ICS_ADIF         (((volatile __near __bitf_T *)0xFFE3)->no0)
#define ICS_RTCIF        (((volatile __near __bitf_T *)0xFFE3)->no1)
#define ICS_ITIF         (((volatile __near __bitf_T *)0xFFE3)->no2)
#define ICS_KRIF         (((volatile __near __bitf_T *)0xFFE3)->no3)
#define ICS_TRJIF0       (((volatile __near __bitf_T *)0xFFE3)->no6)
#define ICS_MK0          (*(volatile __near unsigned short *)0xFFE4)
#define ICS_MK0L         (*(volatile __near unsigned char  *)0xFFE4)
#define ICS_MK0L_bit     (*(volatile __near __bitf_T *)0xFFE4)
#define ICS_MK0H         (*(volatile __near unsigned char  *)0xFFE5)
#define ICS_MK0H_bit     (*(volatile __near __bitf_T *)0xFFE5)
#define ICS_SROMK        (((volatile __near __bitf_T *)0xFFE4)->no0)
#define ICS_WDTIMK       (((volatile __near __bitf_T *)0xFFE4)->no0)
#define ICS_LVIMK        (((volatile __near __bitf_T *)0xFFE4)->no1)
#define ICS_PMK0         (((volatile __near __bitf_T *)0xFFE4)->no2)
#define ICS_PMK1         (((volatile __near __bitf_T *)0xFFE4)->no3)
#define ICS_PMK2         (((volatile __near __bitf_T *)0xFFE4)->no4)
#define ICS_PMK3         (((volatile __near __bitf_T *)0xFFE4)->no5)
#define ICS_PMK4         (((volatile __near __bitf_T *)0xFFE4)->no6)
#define ICS_PMK5         (((volatile __near __bitf_T *)0xFFE4)->no7)
#define ICS_CSIMK20      (((volatile __near __bitf_T *)0xFFE5)->no0)
#define ICS_IICMK20      (((volatile __near __bitf_T *)0xFFE5)->no0)
#define ICS_STMK2        (((volatile __near __bitf_T *)0xFFE5)->no0)
#define ICS_CSIMK21      (((volatile __near __bitf_T *)0xFFE5)->no1)
#define ICS_IICMK21      (((volatile __near __bitf_T *)0xFFE5)->no1)
#define ICS_SRMK2        (((volatile __near __bitf_T *)0xFFE5)->no1)
#define ICS_SREMK2       (((volatile __near __bitf_T *)0xFFE5)->no2)
#define ICS_CSIMK00      (((volatile __near __bitf_T *)0xFFE5)->no5)
#define ICS_IICMK00      (((volatile __near __bitf_T *)0xFFE5)->no5)
#define ICS_STMK0        (((volatile __near __bitf_T *)0xFFE5)->no5)
#define ICS_CSIMK01      (((volatile __near __bitf_T *)0xFFE5)->no6)
#define ICS_IICMK01      (((volatile __near __bitf_T *)0xFFE5)->no6)
#define ICS_SRMK0        (((volatile __near __bitf_T *)0xFFE5)->no6)
#define ICS_SREMK0       (((volatile __near __bitf_T *)0xFFE5)->no7)
#define ICS_TMMK01H      (((volatile __near __bitf_T *)0xFFE5)->no7)
#define ICS_MK1          (*(volatile __near unsigned short *)0xFFE6)
#define ICS_MK1L         (*(volatile __near unsigned char  *)0xFFE6)
#define ICS_MK1L_bit     (*(volatile __near __bitf_T *)0xFFE6)
#define ICS_MK1H         (*(volatile __near unsigned char  *)0xFFE7)
#define ICS_MK1H_bit     (*(volatile __near __bitf_T *)0xFFE7)
#define ICS_CSIMK10      (((volatile __near __bitf_T *)0xFFE6)->no0)
#define ICS_IICMK10      (((volatile __near __bitf_T *)0xFFE6)->no0)
#define ICS_STMK1        (((volatile __near __bitf_T *)0xFFE6)->no0)
#define ICS_CSIMK11      (((volatile __near __bitf_T *)0xFFE6)->no1)
#define ICS_IICMK11      (((volatile __near __bitf_T *)0xFFE6)->no1)
#define ICS_SRMK1        (((volatile __near __bitf_T *)0xFFE6)->no1)
#define ICS_SREMK1       (((volatile __near __bitf_T *)0xFFE6)->no2)
#define ICS_TMMK03H      (((volatile __near __bitf_T *)0xFFE6)->no2)
#define ICS_IICAMK0      (((volatile __near __bitf_T *)0xFFE6)->no3)
#define ICS_TMMK00       (((volatile __near __bitf_T *)0xFFE6)->no4)
#define ICS_TMMK01       (((volatile __near __bitf_T *)0xFFE6)->no5)
#define ICS_TMMK02       (((volatile __near __bitf_T *)0xFFE6)->no6)
#define ICS_TMMK03       (((volatile __near __bitf_T *)0xFFE6)->no7)
#define ICS_ADMK         (((volatile __near __bitf_T *)0xFFE7)->no0)
#define ICS_RTCMK        (((volatile __near __bitf_T *)0xFFE7)->no1)
#define ICS_ITMK         (((volatile __near __bitf_T *)0xFFE7)->no2)
#define ICS_KRMK         (((volatile __near __bitf_T *)0xFFE7)->no3)
#define ICS_TRJMK0       (((volatile __near __bitf_T *)0xFFE7)->no6)
#define ICS_PR00         (*(volatile __near unsigned short *)0xFFE8)
#define ICS_PR00L        (*(volatile __near unsigned char  *)0xFFE8)
#define ICS_PR00L_bit    (*(volatile __near __bitf_T *)0xFFE8)
#define ICS_PR00H        (*(volatile __near unsigned char  *)0xFFE9)
#define ICS_PR00H_bit    (*(volatile __near __bitf_T *)0xFFE9)
#define ICS_SROPR0       (((volatile __near __bitf_T *)0xFFE8)->no0)
#define ICS_WDTIPR0      (((volatile __near __bitf_T *)0xFFE8)->no0)
#define ICS_LVIPR0       (((volatile __near __bitf_T *)0xFFE8)->no1)
#define ICS_PPR00        (((volatile __near __bitf_T *)0xFFE8)->no2)
#define ICS_PPR01        (((volatile __near __bitf_T *)0xFFE8)->no3)
#define ICS_PPR02        (((volatile __near __bitf_T *)0xFFE8)->no4)
#define ICS_PPR03        (((volatile __near __bitf_T *)0xFFE8)->no5)
#define ICS_PPR04        (((volatile __near __bitf_T *)0xFFE8)->no6)
#define ICS_PPR05        (((volatile __near __bitf_T *)0xFFE8)->no7)
#define ICS_CSIPR020     (((volatile __near __bitf_T *)0xFFE9)->no0)
#define ICS_IICPR020     (((volatile __near __bitf_T *)0xFFE9)->no0)
#define ICS_STPR02       (((volatile __near __bitf_T *)0xFFE9)->no0)
#define ICS_CSIPR021     (((volatile __near __bitf_T *)0xFFE9)->no1)
#define ICS_IICPR021     (((volatile __near __bitf_T *)0xFFE9)->no1)
#define ICS_SRPR02       (((volatile __near __bitf_T *)0xFFE9)->no1)
#define ICS_SREPR02      (((volatile __near __bitf_T *)0xFFE9)->no2)
#define ICS_CSIPR000     (((volatile __near __bitf_T *)0xFFE9)->no5)
#define ICS_IICPR000     (((volatile __near __bitf_T *)0xFFE9)->no5)
#define ICS_STPR00       (((volatile __near __bitf_T *)0xFFE9)->no5)
#define ICS_CSIPR001     (((volatile __near __bitf_T *)0xFFE9)->no6)
#define ICS_IICPR001     (((volatile __near __bitf_T *)0xFFE9)->no6)
#define ICS_SRPR00       (((volatile __near __bitf_T *)0xFFE9)->no6)
#define ICS_SREPR00      (((volatile __near __bitf_T *)0xFFE9)->no7)
#define ICS_TMPR001H     (((volatile __near __bitf_T *)0xFFE9)->no7)
#define ICS_PR01         (*(volatile __near unsigned short *)0xFFEA)
#define ICS_PR01L        (*(volatile __near unsigned char  *)0xFFEA)
#define ICS_PR01L_bit    (*(volatile __near __bitf_T *)0xFFEA)
#define ICS_PR01H        (*(volatile __near unsigned char  *)0xFFEB)
#define ICS_PR01H_bit    (*(volatile __near __bitf_T *)0xFFEB)
#define ICS_CSIPR010     (((volatile __near __bitf_T *)0xFFEA)->no0)
#define ICS_IICPR010     (((volatile __near __bitf_T *)0xFFEA)->no0)
#define ICS_STPR01       (((volatile __near __bitf_T *)0xFFEA)->no0)
#define ICS_CSIPR011     (((volatile __near __bitf_T *)0xFFEA)->no1)
#define ICS_IICPR011     (((volatile __near __bitf_T *)0xFFEA)->no1)
#define ICS_SRPR01       (((volatile __near __bitf_T *)0xFFEA)->no1)
#define ICS_SREPR01      (((volatile __near __bitf_T *)0xFFEA)->no2)
#define ICS_TMPR003H     (((volatile __near __bitf_T *)0xFFEA)->no2)
#define ICS_IICAPR00     (((volatile __near __bitf_T *)0xFFEA)->no3)
#define ICS_TMPR000      (((volatile __near __bitf_T *)0xFFEA)->no4)
#define ICS_TMPR001      (((volatile __near __bitf_T *)0xFFEA)->no5)
#define ICS_TMPR002      (((volatile __near __bitf_T *)0xFFEA)->no6)
#define ICS_TMPR003      (((volatile __near __bitf_T *)0xFFEA)->no7)
#define ICS_ADPR0        (((volatile __near __bitf_T *)0xFFEB)->no0)
#define ICS_RTCPR0       (((volatile __near __bitf_T *)0xFFEB)->no1)
#define ICS_ITPR0        (((volatile __near __bitf_T *)0xFFEB)->no2)
#define ICS_KRPR0        (((volatile __near __bitf_T *)0xFFEB)->no3)
#define ICS_TRJPR00      (((volatile __near __bitf_T *)0xFFEB)->no6)
#define ICS_PR10         (*(volatile __near unsigned short *)0xFFEC)
#define ICS_PR10L        (*(volatile __near unsigned char  *)0xFFEC)
#define ICS_PR10L_bit    (*(volatile __near __bitf_T *)0xFFEC)
#define ICS_PR10H        (*(volatile __near unsigned char  *)0xFFED)
#define ICS_PR10H_bit    (*(volatile __near __bitf_T *)0xFFED)
#define ICS_SROPR1       (((volatile __near __bitf_T *)0xFFEC)->no0)
#define ICS_WDTIPR1      (((volatile __near __bitf_T *)0xFFEC)->no0)
#define ICS_LVIPR1       (((volatile __near __bitf_T *)0xFFEC)->no1)
#define ICS_PPR10        (((volatile __near __bitf_T *)0xFFEC)->no2)
#define ICS_PPR11        (((volatile __near __bitf_T *)0xFFEC)->no3)
#define ICS_PPR12        (((volatile __near __bitf_T *)0xFFEC)->no4)
#define ICS_PPR13        (((volatile __near __bitf_T *)0xFFEC)->no5)
#define ICS_PPR14        (((volatile __near __bitf_T *)0xFFEC)->no6)
#define ICS_PPR15        (((volatile __near __bitf_T *)0xFFEC)->no7)
#define ICS_CSIPR120     (((volatile __near __bitf_T *)0xFFED)->no0)
#define ICS_IICPR120     (((volatile __near __bitf_T *)0xFFED)->no0)
#define ICS_STPR12       (((volatile __near __bitf_T *)0xFFED)->no0)
#define ICS_CSIPR121     (((volatile __near __bitf_T *)0xFFED)->no1)
#define ICS_IICPR121     (((volatile __near __bitf_T *)0xFFED)->no1)
#define ICS_SRPR12       (((volatile __near __bitf_T *)0xFFED)->no1)
#define ICS_SREPR12      (((volatile __near __bitf_T *)0xFFED)->no2)
#define ICS_CSIPR100     (((volatile __near __bitf_T *)0xFFED)->no5)
#define ICS_IICPR100     (((volatile __near __bitf_T *)0xFFED)->no5)
#define ICS_STPR10       (((volatile __near __bitf_T *)0xFFED)->no5)
#define ICS_CSIPR101     (((volatile __near __bitf_T *)0xFFED)->no6)
#define ICS_IICPR101     (((volatile __near __bitf_T *)0xFFED)->no6)
#define ICS_SRPR10       (((volatile __near __bitf_T *)0xFFED)->no6)
#define ICS_SREPR10      (((volatile __near __bitf_T *)0xFFED)->no7)
#define ICS_TMPR101H     (((volatile __near __bitf_T *)0xFFED)->no7)
#define ICS_PR11         (*(volatile __near unsigned short *)0xFFEE)
#define ICS_PR11L        (*(volatile __near unsigned char  *)0xFFEE)
#define ICS_PR11L_bit    (*(volatile __near __bitf_T *)0xFFEE)
#define ICS_PR11H        (*(volatile __near unsigned char  *)0xFFEF)
#define ICS_PR11H_bit    (*(volatile __near __bitf_T *)0xFFEF)
#define ICS_CSIPR110     (((volatile __near __bitf_T *)0xFFEE)->no0)
#define ICS_IICPR110     (((volatile __near __bitf_T *)0xFFEE)->no0)
#define ICS_STPR11       (((volatile __near __bitf_T *)0xFFEE)->no0)
#define ICS_CSIPR111     (((volatile __near __bitf_T *)0xFFEE)->no1)
#define ICS_IICPR111     (((volatile __near __bitf_T *)0xFFEE)->no1)
#define ICS_SRPR11       (((volatile __near __bitf_T *)0xFFEE)->no1)
#define ICS_SREPR11      (((volatile __near __bitf_T *)0xFFEE)->no2)
#define ICS_TMPR103H     (((volatile __near __bitf_T *)0xFFEE)->no2)
#define ICS_IICAPR10     (((volatile __near __bitf_T *)0xFFEE)->no3)
#define ICS_TMPR100      (((volatile __near __bitf_T *)0xFFEE)->no4)
#define ICS_TMPR101      (((volatile __near __bitf_T *)0xFFEE)->no5)
#define ICS_TMPR102      (((volatile __near __bitf_T *)0xFFEE)->no6)
#define ICS_TMPR103      (((volatile __near __bitf_T *)0xFFEE)->no7)
#define ICS_ADPR1        (((volatile __near __bitf_T *)0xFFEF)->no0)
#define ICS_RTCPR1       (((volatile __near __bitf_T *)0xFFEF)->no1)
#define ICS_ITPR1        (((volatile __near __bitf_T *)0xFFEF)->no2)
#define ICS_KRPR1        (((volatile __near __bitf_T *)0xFFEF)->no3)
#define ICS_TRJPR10      (((volatile __near __bitf_T *)0xFFEF)->no6)
#define ICS_MACRL        (*(volatile __near unsigned short *)0xFFF0)
#define ICS_MACRH        (*(volatile __near unsigned short *)0xFFF2)
#define ICS_PMC          (*(volatile __near unsigned char  *)0xFFFE)
#define ICS_PMC_bit      (*(volatile __near __bitf_T *)0xFFFE)
#define ICS_MAA          (((volatile __near __bitf_T *)0xFFFE)->no0)


#define ICS_INTSRO                          0x0004
#define ICS_INTWDTI                         0x0004
#define ICS_INTLVI                          0x0006
#define ICS_INTP0                           0x0008
#define ICS_INTP1                           0x000A
#define ICS_INTP2                           0x000C
#define ICS_INTP3                           0x000E
#define ICS_INTP4                           0x0010
#define ICS_INTP5                           0x0012
#define ICS_INTCSI20                        0x0014
#define ICS_INTIIC20                        0x0014
#define ICS_INTST2                          0x0014
#define ICS_INTCSI21                        0x0016
#define ICS_INTIIC21                        0x0016
#define ICS_INTSR2                          0x0016
#define ICS_INTSRE2                         0x0018
#define ICS_INTCSI00                        0x001E
#define ICS_INTIIC00                        0x001E
#define ICS_INTST0                          0x001E
#define ICS_INTCSI01                        0x0020
#define ICS_INTIIC01                        0x0020
#define ICS_INTSR0                          0x0020
#define ICS_INTSRE0                         0x0022
#define ICS_INTTM01H                        0x0022
#define ICS_INTCSI10                        0x0024
#define ICS_INTIIC10                        0x0024
#define ICS_INTST1                          0x0024
#define ICS_INTCSI11                        0x0026
#define ICS_INTIIC11                        0x0026
#define ICS_INTSR1                          0x0026
#define ICS_INTSRE1                         0x0028
#define ICS_INTTM03H                        0x0028
#define ICS_INTIICA0                        0x002A
#define ICS_INTTM00                         0x002C
#define ICS_INTTM01                         0x002E
#define ICS_INTTM02                         0x0030
#define ICS_INTTM03                         0x0032
#define ICS_INTAD                           0x0034
#define ICS_INTRTC                          0x0036
#define ICS_INTIT                           0x0038
#define ICS_INTKR                           0x003A
#define ICS_INTTRJ0                         0x0040
#define ICS_INTP6                           0x004A
#define ICS_INTP7                           0x004C
#define ICS_INTP8                           0x004E
#define ICS_INTP9                           0x0050
#define ICS_INTCMP0                         0x0052
#define ICS_INTP10                          0x0052
#define ICS_INTCMP1                         0x0054
#define ICS_INTP11                          0x0054
#define ICS_INTTRD0                         0x0056
#define ICS_INTTRD1                         0x0058
#define ICS_INTTRG                          0x005A
#define ICS_INTTRX                          0x005C
#define ICS_INTFL                           0x0062

#endif   //  __ICS_R5F11B_iodefine_H
